org.apache.fop.fonts

## Class DefaultFontConfigurator

- java.lang.Object
- - org.apache.fop.fonts.DefaultFontConfigurator

All Implemented Interfaces:
  FontConfigurator<EmbedFontInfo>

    public class DefaultFontConfigurator
    extends Object
    implements FontConfigurator<EmbedFontInfo>

The default configurator for fonts. This configurator can configure the more generic fonts used by the renderers i.e. TTF, Type1 etc...

### Field Summary

Fields
`protected static org.apache.commons.logging.Log` `log` logger instance

### Constructor Summary

Constructors
Constructor and Description
`DefaultFontConfigurator(FontManager fontManager, FontEventListener listener, boolean strict)` Main constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`List<EmbedFontInfo>` `configure(FontConfig fontInfoConfig)` Initializes font info settings from the user configuration

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    protected static final org.apache.commons.logging.Log log

logger instance

### Constructor Detail

#### DefaultFontConfigurator

    public DefaultFontConfigurator(FontManager fontManager,
                                   FontEventListener listener,
                                   boolean strict)

Main constructor

Parameters:
  `fontManager` - the font manager
  `listener` - the font event listener
  `strict` - true if an Exception should be thrown if an error is found.

### Method Detail

#### configure

    public List<EmbedFontInfo> configure(FontConfig fontInfoConfig)
                                  throws FOPException

Initializes font info settings from the user configuration

Specified by:
  `configure` in interface `FontConfigurator<EmbedFontInfo>`
Returns:
  a font info list
Throws:
  `FOPException` - if an exception occurs while processing the configuration